## cg.blender.processing

Пакетная обработка всех объектов сцены в Blender

### highpoly_setup.py

- Обработка геометрии, тесселированной во FreeCAD
- Проверка и исправление на сдвоенную геометрию
- Проверка и назначение нормалей точек
- Проверка и назначение острых граней

### restruct_hierarchy_by_lcs.py

- Перестроение иерархии сцены на основе LCS координат и последовательности деталей
- Определение отдельных сборок деталей
- Определение имен сборок деталей
- Определение координат шарниров
- Универсальный алгоритм

### midpoly_setup.py

- Генерация объекта из коллекции объектов

### lowpoly_setup.py

- Генерация замкнутой поверхности из составного объекта
- Ретопология замкнутой поверхности
- Исправление артефактов на замкнутой поверхности
- Назначение нормалей точек замкнутой поверхности
- Назначение острых граней замкнутой поверхности

### uv_setup.py

- Генерация и упаковка развертки 3д объекта
