## cg.blender.utils

Утилиты общего назначения для работы в среде Blender

### cleanup_orphan_data.py

Сделать пустую Bledner сцену

### collection_tools.py

Работа с коллекциями: копирование, удаление

### generative_modifiers.py

Генеративные модификаторы на основе Geometry Nodes Fields

### mesh_tools.py

Инструменты работы с полигональной сеткой (mesh)

### object_converter.py

Конвертация объекта с модификаторами в простой мешевый объект

### object_relations.py

Работа с иерархией объекта

### object_transforms.py

Работа с трансформациями объекта

### shininess_to_roughness.py

Преобразрвания параметра FEM материала в параметра PBR материала

### blender_render_settings.py

Сценарий настроек редактора Blender для уменьшения времени рендеринга.

Тесты

Тестовая сцена
[blender_render_settings.blend](img/blender_render_settings.blend)

Сценарий работает в 3х режимах оптимизации:
- small
- medium
- large

Время тестовой сцены по умолчанию - 32 сек.
![](img/blender_render_settings_default.jpg "Время тестовой сцены по умолчанию")

Время тестовой сцены в режиме `small` - 13 сек.
![](img/blender_render_settings_small.jpg "Время тестовой сцены в режиме small")

Время тестовой сцены в режиме `medium` - 10 сек.
![](img/blender_render_settings_medium.jpg "Время тестовой сцены в режиме medium")

Время тестовой сцены в режиме `large` - 4 сек.
![](img/blender_render_settings_large.jpg "Время тестовой сцены в режиме large")

Применение

Сценарий применяется для конфигурации Blender сцены непосредственно **перед** процессом рендеринга

### Остальные модули - DEPRECATED
