## cg.ppipeline

Алгоритмы запуска технологии компьютерной графики.

### cg_pipeline.py

Пакетное производство 3д ассетов из объектов CAD сцены.

Поддерживается работа поверх Blender в качестве модуля!

Сценарий производит:
- построение CAD сцены на основе данных freecad_to_json_script
- генерация и обработка highpoly объектов
- генерация FEM материалов для highpoly объектов
- перестроение иерархии сцены на основе LCS
- группировка highpoly объектов объектов в коллекции
- генерация midpoly объектов из highpoly коллекций
- генерация ретопология и развертка lowpoly объектов
- запекание поверхности и материала midpoly объектов в текстуры
- обработку mesh объектов для использования в качестве ассетов
- экспорт объектов в требуемые форматы
