## Robossembler CG Pipeline

Алгоритмы запуска технологии компьютерной графики.

Пакетное производство 3д ассетов из базы данных тесселированных объектов САПР (parts) их сборочной иерархии.

Поддерживается работа поверх Blender в качестве модуля!

Этапы алгоритма:

* генерация Blender сцены,
* исправоение parts объектов,
* генерация и назначение CG материала parts объектам,
* перестроение иерархии сборок на основе данных LCS объектов,
* группировка parts объектов объектов в составные RENDER ассеты,
* генерация, и развертка монолитных VISUAL ассетов из RENDER ассетов,
* запекание поверхности и материала RENDER ассетоа в текстуры VISUAL ассетов,
* назначение материалов и тестур VISUAL ассетам,
* генерация COLLISION ассетов из VISUAL ассетов,
- экспорт всех типов ассетов в требуемые форматы базы данных.

Пример запуска::
```python
# nixGL /nix/store/gd3shnza1i50zn8zs04fa729ribr88m9-python3-3.11.8/bin/python3

import sys
sys.path.append('/nix/store/ip49yhfl2l8gphylj4i43kdpq5qnq93i-bpy-4.1.0/lib/python3.11/site-packages')
sys.path.append('/media/disk/robossembler/project/collab/150-cg-render-assets/rcg_pipeline')
sys.path.append('/nix/store/x1rqfn240xn6m6p6077gxfqxdxxj1cmc-python3.11-numpy-1.26.4/lib/python3.11/site-packages')
import rcg_pipeline
project_dir = '/path/to/<my_project_dir>'

rcg_pipeline.libs.generate_libs_database(project_dir)
rcg_pipeline.render_asset.build_render_assets(project_dir)
```
