## Пример файла описания сцены из Blender

TODO: рассписать потребность в основных элементах, что и для чего

```json
{
  "assets": [
    {
      "name": "robo-arm",
      "id": "629b29d7-fe15-428b-9014-6c3dde045af8",
      "model_path": "../model.urdf"
    }
  ],
  "instances": [
    // измненная URDF модель
    {
      "id": "0e29084f-1190-45d0-bd59-8f4ce2591gb1",
      "name": "robo-arm-1",
      //assetId указывает на родительский ассет
      "assetId": "629b29d7-fe15-428b-9014-6c3dde045af8",
      "pose": {
        "x": 12.0,
        "y": 1.0,
        "z": 4.0,
        "roll": 1.0,
        "pitch": 4.0,
        "yaw": 5.0
      },
      //если изменено внутренее состояние URDF модели
      "tags": [
        "<joint name=\"robotiq_85_right_finger_joint\" type=\"fixed\"><parent link=\"robotiq_85_right_knuckle_link\"/><child link=\"robotiq_85_right_finger_link\"/><origin rpy=\"0 0 0\" xyz=\"-0.03152616 0.0 -0.00376347\"/></joint>"
      ]
    },
    {
      "id": "0e27984f-8890-4d90-bd59-8f4ce29920f9",
      "name": "robo-arm-2",
      //assetId указывает на родительский ассет
      "assetId": "629b29d7-fe15-428b-9014-6c3dde045af8",
      //если дефолтные позиции модели
      "pose": null,
      //если не изменено внутренее состояние URDF модели
      "tags": null
    },
    {
      "type": "LIGHT",
      "light_type": "SPOT",
      "power": 10.0,
      "spot_angle": 45.0,
      "name": null,
      "pose": {
        "x": 0.0,
        "y": 0.0,
        "z": 0.0,
        "roll": 0.0,
        "pitch": 0.0,
        "yaw": 0.0
      }
    }
  ]
}
```
